package market.Slm.Notice.vo;

import java.util.List;

public class SlmNoticeApp {
	//公告信息
	private SlmNotice list;
	
	//范围信息 人员
	private List<SlmNoticeReader> noticeReader;

	//附件信息
	private List<SlmNoticeAnnex> annex;
	
	//已阅读人员信息
	private List<SlmNoticeReader> userList;
	
	//----------------eason 2017-09-21 add-------------------
	//范围信息 部门，角色
	private List<SlmNoticeScale> scaledpt;
	private List<SlmNoticeScale> scalerole;
	
	public List<SlmNoticeScale> getScaledpt() {
		return scaledpt;
	}

	public void setScaledpt(List<SlmNoticeScale> scaledpt) {
		this.scaledpt = scaledpt;
	}

	public List<SlmNoticeScale> getScalerole() {
		return scalerole;
	}

	public void setScalerole(List<SlmNoticeScale> scalerole) {
		this.scalerole = scalerole;
	}
	//-------------------------------------------------------
	

	public void setAnnex(List<SlmNoticeAnnex> annex) {
		this.annex = annex;
	}

	public List<SlmNoticeAnnex> getAnnex() {
		return annex;
	}
	
	public List<SlmNoticeReader> getNoticeReader() {
		return noticeReader;
	}

	public void setNoticeReader(List<SlmNoticeReader> noticeReader) {
		this.noticeReader = noticeReader;
	}
	
	public SlmNotice getList() {
		return list;
	}
	
	public void setList(SlmNotice list) {
		this.list = list;
	}

	public void setUserList(List<SlmNoticeReader> userList) {
		this.userList = userList;
	}

	public List<SlmNoticeReader> getUserList() {
		return userList;
	}

	
}
